import React from 'react';
import { Plugin } from '../application/Plugin';
export { AdminProvider, NoticeArea, AdminLayout } from './admin-layout';
export * from './context-menu/useContextMenu';
export declare const AppNotFound: () => React.JSX.Element;
export declare class BuiltInPlugin extends Plugin {
    afterAdd(): Promise<void>;
    load(): Promise<void>;
    addSystemSettingGroups(): void;
    addRoutes(): void;
    addComponents(): void;
    addPlugins(): Promise<void>;
}
